<?php
/**
 * Theme single Post
 *
 * Padrão Governo Federal - Basil functions and definitions
  * Author:Cristiano Augusto Cunha Silva <sem@cristianoaugusto.com.br>
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package WordPress
 * @subpackage CCST-GOV
 * @since 1.1
 *
 *  Este thema foi desenvolvido para o Centro de Ciências do Sistema Terreste / INPE - BRASIL
 *
 */
get_header();

// Chama o content personalizado de acordo com o tipo de post
$post_type = get_post_type();

switch ($post_type) {
    case 'projetos':
        get_template_part('template-parts/projetos/content');
        break;
    case 'modelagem':
    case 'diagnosticos':
    case 'observacao':
        get_template_part('template-parts/linhas-pesquisas/content');
        break;
    case 'destaque':
        get_template_part('template-parts/page/page', 'content');
        break;
    case 'servico':
        get_template_part('template-parts/servico/content');
        break;
    case 'publicacao':
        get_template_part('template-parts/publicacao/publicacao', 'list');
        break;
    case 'post':
        if (have_posts()) :
            // Start the Loop.
            while (have_posts()) : the_post();
                get_template_part('template-parts/post/content');
            // End the loop.
            endwhile;
        else :
            get_template_part('content', 'none');
        endif;
        break;
}

get_footer();
